<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <androidx.cardview.widget.CardView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:cardBackgroundColor="@color/background_white"
        app:cardCornerRadius="8dp"
        app:cardElevation="0dp">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <com.gh.gamecenter.feature.view.GameIconView
                android:id="@+id/gameIconView"
                android:layout_width="64dp"
                android:layout_height="64dp"
                android:layout_marginLeft="16dp"
                android:layout_marginTop="16dp"
                app:gameIconCornerRadius="20dp"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <TextView
                android:id="@+id/gameNameTv"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="92dp"
                android:layout_marginTop="19dp"
                android:layout_marginRight="16dp"
                android:ellipsize="end"
                android:includeFontPadding="false"
                android:maxLines="1"
                android:textColor="@color/text_title"
                android:textSize="16sp"
                android:textStyle="bold"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                tools:text="少年三国志2" />

            <TextView
                android:id="@+id/developerTv"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginLeft="92dp"
                android:layout_marginTop="5dp"
                android:layout_marginRight="16dp"
                android:ellipsize="end"
                android:includeFontPadding="false"
                android:maxLines="1"
                android:textColor="@color/text_subtitleDesc"
                android:textSize="12sp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/gameNameTv"
                tools:text="开发者：米哈游" />

            <TextView
                android:id="@+id/gameVersionTv"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginLeft="92dp"
                android:layout_marginTop="2dp"
                android:layout_marginRight="16dp"
                android:ellipsize="end"
                android:includeFontPadding="false"
                android:maxLines="1"
                android:textColor="@color/text_subtitleDesc"
                android:textSize="12sp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/developerTv"
                tools:text="版本号：1.0" />

            <RelativeLayout
                android:id="@+id/privacyContainer"
                android:layout_width="match_parent"
                android:layout_height="44dp"
                android:layout_margin="16dp"
                android:background="@drawable/bg_shape_space_radius_5"
                android:paddingLeft="16dp"
                android:paddingRight="16dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/gameVersionTv">

                <ImageView
                    android:id="@+id/privacyIv"
                    android:layout_width="16dp"
                    android:layout_height="16dp"
                    android:layout_centerVertical="true"
                    android:src="@drawable/ic_privacy_permission" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="12dp"
                    android:layout_toRightOf="@id/privacyIv"
                    android:text="隐私政策"
                    android:textColor="@color/text_title" />

                <ImageView
                    android:layout_width="6dp"
                    android:layout_height="8dp"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:src="@drawable/ic_arrow_permission" />

            </RelativeLayout>

            <TextView
                android:id="@+id/text"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginLeft="16dp"
                android:layout_marginTop="18dp"
                android:text="应用权限及用途："
                android:textColor="@color/text_subtitle"
                android:textSize="14sp"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/privacyContainer" />

            <View
                android:id="@+id/line"
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:layout_marginTop="9dp"
                android:background="@color/background"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/text" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/permissionsRv"
                android:layout_width="match_parent"
                android:layout_height="206dp"
                android:paddingRight="14dp"
                android:scrollbarSize="3dp"
                android:scrollbarThumbVertical="@drawable/webview_scrollbar_thumb_vertical"
                android:scrollbars="vertical"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/line" />

            <View
                android:id="@+id/line2"
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:background="@color/background"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/permissionsRv" />

            <TextView
                android:id="@+id/confirmTv"
                android:layout_width="match_parent"
                android:layout_height="51dp"
                android:gravity="center"
                android:text="确定"
                android:textColor="@color/theme_font"
                android:textSize="14sp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/line2" />
        </androidx.constraintlayout.widget.ConstraintLayout>
    </androidx.cardview.widget.CardView>

</RelativeLayout>